#
# spec file for package perl-HTML-Tree (Version 4.0 )
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           perl-HTML-Tree
BuildRequires:  perl-HTML-Parser
License:        Artistic ; GPLv2+ ; Other uncritical OpenSource License
Group:          Development/Libraries/Perl
%{perl_requires}
Requires:       perl-HTML-Parser perl-HTML-Tagset
AutoReqProv:    on
Summary:        Modules for representing, creating, and extracting information from HTML syntax trees
Version:        4.0 
Release:        1
Source:         http://search.cpan.org/CPAN/authors/id/P/PE/PETEK/HTML-Tree-%{version}.tar.bz2
Url:            http://search.cpan.org/CPAN/authors/id/P/PE/PETEK/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This distribution contains a suite of modules for representing,
creating, and extracting information from HTML syntax trees; there is
also relevent documentation.  These modules used to be part of the
libwww-perl distribution, but are now unbundled in order to facilitate
a separate development track.



Authors:
--------
    Sean M. Burke <sburke@cpan.org>

%prep
%setup -n HTML-Tree-%{version} -q

%build
perl Makefile.PL
make %{?_smp_mflags}

%check
make test

%install
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%{perl_vendorlib}/HTML/*
%{perl_vendorarch}/auto/*
%{_bindir}/htmltree
%doc %{_mandir}/man?/*
%doc README Changes

%changelog
